Gentoo Archives: gentoo-commits

From: "Zac Medico (zmedico)" <zmedico@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-apps/portage: ChangeLog portage-2.1.10.4.ebuild
Date: Sun, 03 Jul 2011 19:55:17
Message-Id: 20110703172853.BFA0B2004B@flycatcher.gentoo.org
1 zmedico 11/07/03 17:28:53
2
3 Modified: ChangeLog
4 Added: portage-2.1.10.4.ebuild
5 Log:
6 2.1.10.4 version bump. This fixes bug #355283 (fix distcc and ccache
7 features to use the default ABI dir), bug #365033 (make.conf parser behaves
8 like echo -e though it shouldn't), bug #370693 (extended repo-level config
9 file support), bug #371767 (emerge KeyError triggered by --exclude in some
10 cases), bug #371909 (unnecessary ccache messages triggered by pkg_info),
11 bug #371987 (make repoman handle EACCESS when generating Manifest),
12 bug #372033 (emerge suggests package that has no available ebuilds),
13 bug #372183 (make PORTAGE_COMPRESS_FLAGS handle -k correctly), bug #372193
14 (portageq all_best_visible IndexError), bug #372789 (make repoman trigger
15 dependency.unknown for unknown packages in || deps), bug #373301 (remove
16 FEATURES=severe docs since it's not implemented), and bug #373341 (always
17 use ldconfig -X, to avoid interference with FEATURES=preserve-libs when
18 downgrading libraries). Bug #373933 tracks all bugs fixed since
19 portage-2.1.10.3.
20
21 (Portage version: 2.1.10.4/cvs/Linux i686)
22
23 Revision Changes Path
24 1.845 sys-apps/portage/ChangeLog
25
26 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.845&view=markup
27 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.845&content-type=text/plain
28 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?r1=1.844&r2=1.845
29
30 Index: ChangeLog
31 ===================================================================
32 RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v
33 retrieving revision 1.844
34 retrieving revision 1.845
35 diff -u -r1.844 -r1.845
36 --- ChangeLog 3 Jul 2011 15:15:54 -0000 1.844
37 +++ ChangeLog 3 Jul 2011 17:28:53 -0000 1.845
38 @@ -1,6 +1,24 @@
39 # ChangeLog for sys-apps/portage
40 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
41 -# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.844 2011/07/03 15:15:54 armin76 Exp $
42 +# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.845 2011/07/03 17:28:53 zmedico Exp $
43 +
44 +*portage-2.1.10.4 (03 Jul 2011)
45 +
46 + 03 Jul 2011; Zac Medico <zmedico@g.o> +portage-2.1.10.4.ebuild:
47 + 2.1.10.4 version bump. This fixes bug #355283 (fix distcc and ccache
48 + features to use the default ABI dir), bug #365033 (make.conf parser behaves
49 + like echo -e though it shouldn't), bug #370693 (extended repo-level config
50 + file support), bug #371767 (emerge KeyError triggered by --exclude in some
51 + cases), bug #371909 (unnecessary ccache messages triggered by pkg_info),
52 + bug #371987 (make repoman handle EACCESS when generating Manifest),
53 + bug #372033 (emerge suggests package that has no available ebuilds),
54 + bug #372183 (make PORTAGE_COMPRESS_FLAGS handle -k correctly), bug #372193
55 + (portageq all_best_visible IndexError), bug #372789 (make repoman trigger
56 + dependency.unknown for unknown packages in || deps), bug #373301 (remove
57 + FEATURES=severe docs since it's not implemented), and bug #373341 (always
58 + use ldconfig -X, to avoid interference with FEATURES=preserve-libs when
59 + downgrading libraries). Bug #373933 tracks all bugs fixed since
60 + portage-2.1.10.3.
61
62 03 Jul 2011; Raúl Porcel <armin76@g.o> portage-2.1.10.3.ebuild:
63 alpha/arm/ia64/m68k/s390/sh/sparc/x86 stable wrt #373523
64
65
66
67 1.1 sys-apps/portage/portage-2.1.10.4.ebuild
68
69 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-2.1.10.4.ebuild?rev=1.1&view=markup
70 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-2.1.10.4.ebuild?rev=1.1&content-type=text/plain
71
72 Index: portage-2.1.10.4.ebuild
73 ===================================================================
74 # Copyright 1999-2011 Gentoo Foundation
75 # Distributed under the terms of the GNU General Public License v2
76 # $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.1.10.4.ebuild,v 1.1 2011/07/03 17:28:53 zmedico Exp $
77
78 # Require EAPI 2 since we now require at least python-2.6 (for python 3
79 # syntax support) which also requires EAPI 2.
80 EAPI=2
81 inherit eutils multilib python
82
83 DESCRIPTION="Portage is the package management and distribution system for Gentoo"
84 HOMEPAGE="http://www.gentoo.org/proj/en/portage/index.xml"
85 LICENSE="GPL-2"
86 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
87 SLOT="0"
88 IUSE="build doc epydoc +ipc +less linguas_pl python2 python3 selinux"
89
90 python_dep="python3? ( =dev-lang/python-3* )
91 !python2? ( !python3? (
92 build? ( || ( dev-lang/python:2.7 dev-lang/python:2.6 ) )
93 !build? ( || ( dev-lang/python:2.7 dev-lang/python:2.6 >=dev-lang/python-3 ) )
94 ) )
95 python2? ( !python3? ( || ( dev-lang/python:2.7 dev-lang/python:2.6 ) ) )"
96
97 # The pysqlite blocker is for bug #282760.
98 DEPEND="${python_dep}
99 !build? ( >=sys-apps/sed-4.0.5 )
100 doc? ( app-text/xmlto ~app-text/docbook-xml-dtd-4.4 )
101 epydoc? ( >=dev-python/epydoc-2.0 !<=dev-python/pysqlite-2.4.1 )"
102
103 RDEPEND="${python_dep}
104 !build? ( >=sys-apps/sed-4.0.5
105 >=app-shells/bash-3.2_p17
106 >=app-admin/eselect-1.2 )
107 elibc_FreeBSD? ( sys-freebsd/freebsd-bin )
108 elibc_glibc? ( >=sys-apps/sandbox-1.6 )
109 elibc_uclibc? ( >=sys-apps/sandbox-1.6 )
110 >=app-misc/pax-utils-0.1.17
111 selinux? ( || ( >=sys-libs/libselinux-2.0.94[python] <sys-libs/libselinux-2.0.94 ) )
112 !<app-shells/bash-3.2_p17"
113 PDEPEND="
114 !build? (
115 less? ( sys-apps/less )
116 >=net-misc/rsync-2.6.4
117 userland_GNU? ( >=sys-apps/coreutils-6.4 )
118 )"
119 # coreutils-6.4 rdep is for date format in emerge-webrsync #164532
120 # NOTE: FEATURES=install-sources requires debugedit and rsync
121
122 SRC_ARCHIVES="http://dev.gentoo.org/~zmedico/portage/archives"
123
124 prefix_src_archives() {
125 local x y
126 for x in ${@}; do
127 for y in ${SRC_ARCHIVES}; do
128 echo ${y}/${x}
129 done
130 done
131 }
132
133 PV_PL="2.1.2"
134 PATCHVER_PL=""
135 TARBALL_PV=$PV
136 SRC_URI="mirror://gentoo/${PN}-${TARBALL_PV}.tar.bz2
137 $(prefix_src_archives ${PN}-${TARBALL_PV}.tar.bz2)
138 linguas_pl? ( mirror://gentoo/${PN}-man-pl-${PV_PL}.tar.bz2
139 $(prefix_src_archives ${PN}-man-pl-${PV_PL}.tar.bz2) )"
140
141 PATCHVER=
142 [[ $TARBALL_PV = $PV ]] || PATCHVER=$PV
143 if [ -n "${PATCHVER}" ]; then
144 SRC_URI="${SRC_URI} mirror://gentoo/${PN}-${PATCHVER}.patch.bz2
145 $(prefix_src_archives ${PN}-${PATCHVER}.patch.bz2)"
146 fi
147
148 S="${WORKDIR}"/${PN}-${TARBALL_PV}
149 S_PL="${WORKDIR}"/${PN}-${PV_PL}
150
151 compatible_python_is_selected() {
152 [[ $(/usr/bin/python -c 'import sys ; sys.stdout.write(sys.hexversion >= 0x2060000 and "good" or "bad")') = good ]]
153 }
154
155 pkg_setup() {
156 # Bug #359731 - Die early if get_libdir fails.
157 [[ -z $(get_libdir) ]] && \
158 die "get_libdir returned an empty string"
159
160 if use python2 && use python3 ; then
161 ewarn "Both python2 and python3 USE flags are enabled, but only one"
162 ewarn "can be in the shebangs. Using python3."
163 fi
164 if ! use python2 && ! use python3 && ! compatible_python_is_selected ; then
165 ewarn "Attempting to select a compatible default python interpreter"
166 local x success=0
167 for x in /usr/bin/python2.* ; do
168 x=${x#/usr/bin/python2.}
169 if [[ $x -ge 6 ]] 2>/dev/null ; then
170 eselect python set python2.$x
171 if compatible_python_is_selected ; then
172 elog "Default python interpreter is now set to python-2.$x"
173 success=1
174 break
175 fi
176 fi
177 done
178 if [ $success != 1 ] ; then
179 eerror "Unable to select a compatible default python interpreter!"
180 die "This version of portage requires at least python-2.6 to be selected as the default python interpreter (see \`eselect python --help\`)."
181 fi
182 fi
183
184 if use python3; then
185 python_set_active_version 3
186 elif use python2; then
187 python_set_active_version 2
188 fi
189 }
190
191 src_prepare() {
192 if [ -n "${PATCHVER}" ] ; then
193 if [[ -L $S/bin/ebuild-helpers/portageq ]] ; then
194 rm "$S/bin/ebuild-helpers/portageq" \
195 || die "failed to remove portageq helper symlink"
196 fi
197 epatch "${WORKDIR}/${PN}-${PATCHVER}.patch"
198 fi
199 einfo "Setting portage.VERSION to ${PVR} ..."
200 sed -e "s/^VERSION=.*/VERSION=\"${PVR}\"/" -i pym/portage/__init__.py || \
201 die "Failed to patch portage.VERSION"
202 sed -e "1s/VERSION/${PVR}/" -i doc/fragment/version || \
203 die "Failed to patch VERSION in doc/fragment/version"
204 sed -e "1s/VERSION/${PVR}/" -i man/* || \
205 die "Failed to patch VERSION in man page headers"
206
207 if ! use ipc ; then
208 einfo "Disabling ipc..."
209 sed -e "s:_enable_ipc_daemon = True:_enable_ipc_daemon = False:" \
210 -i pym/_emerge/AbstractEbuildProcess.py || \
211 die "failed to patch AbstractEbuildProcess.py"
212 fi
213
214 if use python3; then
215 einfo "Converting shebangs for python3..."
216 python_convert_shebangs -r 3 .
217 elif use python2; then
218 einfo "Converting shebangs for python2..."
219 python_convert_shebangs -r 2 .
220 fi
221 }
222
223 src_compile() {
224 if use doc; then
225 cd "${S}"/doc
226 touch fragment/date
227 make xhtml xhtml-nochunks || die "failed to make docs"
228 fi
229
230 if use epydoc; then
231 einfo "Generating api docs"
232 mkdir "${WORKDIR}"/api
233 local my_modules epydoc_opts=""
234 my_modules="$(find "${S}/pym" -name "*.py" \
235 | sed -e 's:/__init__.py$::' -e 's:\.py$::' -e "s:^${S}/pym/::" \
236 -e 's:/:.:g' | sort)" || die "error listing modules"
237 # workaround for bug 282760
238 > "$S/pym/pysqlite2.py"
239 PYTHONPATH=${S}/pym:${PYTHONPATH:+:}${PYTHONPATH} \
240 epydoc -o "${WORKDIR}"/api \
241 -qqqqq --no-frames --show-imports $epydoc_opts \
242 --name "${PN}" --url "${HOMEPAGE}" \
243 ${my_modules} || die "epydoc failed"
244 rm "$S/pym/pysqlite2.py"
245 fi
246 }
247
248 src_test() {
249 # make files executable, in case they were created by patch
250 find bin -type f | xargs chmod +x
251 PYTHONPATH=${S}/pym:${PYTHONPATH:+:}${PYTHONPATH} \
252 ./pym/portage/tests/runTests || die "test(s) failed"
253 }
254
255 src_install() {
256 local libdir=$(get_libdir)
257 local portage_base="/usr/${libdir}/portage"
258 local portage_share_config=/usr/share/portage/config
259
260 cd "${S}"/cnf
261 insinto /etc
262 doins etc-update.conf dispatch-conf.conf || die
263
264 insinto "$portage_share_config"
265 doins "$S/cnf/make.globals" || die
266 if [ -f "make.conf.${ARCH}".diff ]; then
267 patch make.conf "make.conf.${ARCH}".diff || \
268 die "Failed to patch make.conf.example"
269 newins make.conf make.conf.example || die
270 else
271 eerror ""
272 eerror "Portage does not have an arch-specific configuration for this arch."
273 eerror "Please notify the arch maintainer about this issue. Using generic."
274 eerror ""
275 newins make.conf make.conf.example || die
276 fi
277
278 dosym ..${portage_share_config}/make.globals /etc/make.globals
279
280 insinto /etc/logrotate.d
281 doins "${S}"/cnf/logrotate.d/elog-save-summary || die
282
283 # BSD and OSX need a sed wrapper so that find/xargs work properly
284 if use userland_GNU; then
285 rm "${S}"/bin/ebuild-helpers/sed || die "Failed to remove sed wrapper"
286 fi
287
288 local x symlinks files
289
290 cd "$S" || die "cd failed"
291 for x in $(find bin -type d) ; do
292 exeinto $portage_base/$x || die "exeinto failed"
293 cd "$S"/$x || die "cd failed"
294 files=$(find . -mindepth 1 -maxdepth 1 -type f ! -type l)
295 if [ -n "$files" ] ; then
296 doexe $files || die "doexe failed"
297 fi
298 symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
299 if [ -n "$symlinks" ] ; then
300 cp -P $symlinks "$D$portage_base/$x" || die "cp failed"
301 fi
302 done
303
304 cd "$S" || die "cd failed"
305 for x in $(find pym/* -type d ! -path "pym/portage/tests*") ; do
306 insinto $portage_base/$x || die "insinto failed"
307 cd "$S"/$x || die "cd failed"
308 # __pycache__ directories contain no py files
309 [[ "*.py" != $(echo *.py) ]] || continue
310 doins *.py || die "doins failed"
311 symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
312 if [ -n "$symlinks" ] ; then
313 cp -P $symlinks "$D$portage_base/$x" || die "cp failed"
314 fi
315 done
316
317 # Symlinks to directories cause up/downgrade issues and the use of these
318 # modules outside of portage is probably negligible.
319 for x in "${D}${portage_base}/pym/"{cache,elog_modules} ; do
320 [ ! -L "${x}" ] && continue
321 die "symlink to directory will cause upgrade/downgrade issues: '${x}'"
322 done
323
324 doman "${S}"/man/*.[0-9]
325 if use linguas_pl; then
326 doman -i18n=pl "${S_PL}"/man/pl/*.[0-9]
327 doman -i18n=pl_PL.UTF-8 "${S_PL}"/man/pl_PL.UTF-8/*.[0-9]
328 fi
329
330 dodoc "${S}"/{ChangeLog,NEWS,RELEASE-NOTES}
331 use doc && dohtml -r "${S}"/doc/*
332 use epydoc && dohtml -r "${WORKDIR}"/api
333
334 dodir /usr/bin
335 for x in ebuild egencache emerge portageq quickpkg repoman ; do
336 dosym ../${libdir}/portage/bin/${x} /usr/bin/${x}
337 done
338
339 dodir /usr/sbin
340 local my_syms="archive-conf
341 dispatch-conf
342 emaint
343 emerge-webrsync
344 env-update
345 etc-update
346 fixpackages
347 regenworld"
348 local x
349 for x in ${my_syms}; do
350 dosym ../${libdir}/portage/bin/${x} /usr/sbin/${x}
351 done
352 dosym env-update /usr/sbin/update-env
353 dosym etc-update /usr/sbin/update-etc
354
355 dodir /etc/portage
356 keepdir /etc/portage
357 }
358
359 pkg_preinst() {
360 if ! use build && ! has_version dev-python/pycrypto && \
361 ! has_version '>=dev-lang/python-2.6[ssl]' ; then
362 ewarn "If you are an ebuild developer and you plan to commit ebuilds"
363 ewarn "with this system then please install dev-python/pycrypto or"
364 ewarn "enable the ssl USE flag for >=dev-lang/python-2.6 in order"
365 ewarn "to enable RMD160 hash support."
366 ewarn "See bug #198398 for more information."
367 fi
368 if [ -f "${ROOT}/etc/make.globals" ]; then
369 rm "${ROOT}/etc/make.globals"
370 fi
371
372 [[ -n $PORTDIR_OVERLAY ]] && has_version "<${CATEGORY}/${PN}-2.1.6.12"
373 REPO_LAYOUT_CONF_WARN=$?
374 }
375
376 pkg_postinst() {
377 # Compile all source files recursively. Any orphans
378 # will be identified and removed in postrm.
379 python_mod_optimize /usr/$(get_libdir)/portage/pym
380
381 if [ $REPO_LAYOUT_CONF_WARN = 0 ] ; then
382 ewarn
383 echo "If you want overlay eclasses to override eclasses from" \
384 "other repos then see the portage(5) man page" \
385 "for information about the new layout.conf and repos.conf" \
386 "configuration files." \
387 | fmt -w 75 | while read -r ; do ewarn "$REPLY" ; done
388 ewarn
389 fi
390
391 einfo
392 einfo "For help with using portage please consult the Gentoo Handbook"
393 einfo "at http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3"
394 einfo
395 }
396
397 pkg_postrm() {
398 python_mod_cleanup /usr/$(get_libdir)/portage/pym
399 }